package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaSupplier;
import com.ruoyi.oa.domain.vo.OaSupplierVo;
import com.ruoyi.oa.domain.bo.OaSupplierBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 供应商信息Service接口
 *
 * @author ruoyi
 * @date 2025-11-11
 */
public interface IOaSupplierService {

    /**
     * 查询供应商信息
     */
    OaSupplierVo queryById(Long supplierId);

    /**
     * 查询供应商信息列表
     */
    TableDataInfo<OaSupplierVo> queryPageList(OaSupplierBo bo, PageQuery pageQuery);

    /**
     * 查询供应商信息列表
     */
    List<OaSupplierVo> queryList(OaSupplierBo bo);

    /**
     * 新增供应商信息
     */
    Boolean insertByBo(OaSupplierBo bo);

    /**
     * 修改供应商信息
     */
    Boolean updateByBo(OaSupplierBo bo);

    /**
     * 校验并批量删除供应商信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
